Bug 865332 - .stop_date gets updated even when pushing 'play' (start) button
.stop_date gets updated even when pushing 'play' (start) button
Status: CLOSED INSUFFICIENT_DATA
Product: TCMS
Classification: Other
Component: Database (Show other bugs)
Devel
Unspecified Unspecified
unspecified Severity high
: ---
: 3.9.0
Assigned To: Zheng Liu
tools-bugs
:
Depends On:
Blocks: 865334
  Show dependency treegraph
 
Reported: 2012-10-11 05:01 EDT by Chris Ward
Modified: 2016-06-13 03:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-13 03:45:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ward 2012-10-11 05:01:49 EDT
Description of problem:

test_case_runs.stop_date get's updated *everytime* i change 
the case run status, whether i 'start' a run (push the 'play' button) or any 
of the other 'stop' like buttons (pause,fail,etc)

I would think stop_date should only reflect when one of the 'stop' like
buttons is pressed. For example, 'stop' 'fail' 'pause' etc. Anything that means "this test case run is currently STOPPED (not running)"
Comment 1 Zheng Liu 2012-10-19 01:33:51 EDT
As discussed with pm, stop_date is for test case run completed. 
When status of test case run is changed into pass, fail, waved, the time stamp should be recorded into stop_date.
Comment 2 Chris Ward 2016-06-13 03:45:14 EDT
Stale bug clean up; reopen if anyone else actually supports this.

Note You need to log in before you can comment on or make changes to this bug.